<?php
/**
* LICENCIA
*
* Este programa se propociona "tal cual", sin garantía de ningún tipo más allá del soporte
* pactado a la hora de adquirir el programa.
*
* En ningún caso los autores o titulares del copyright serán responsables de ninguna
* reclamación, daños u otras responsabilidades, ya sea en un litigio, agravio o de otro
* modo, que surja de o en conexión con el programa o el uso u otro tipo de acciones
* realizadas con el programa.
*
* Este programa no puede modificarse ni distribuirse sin el consentimiento expreso del autor.
*
*    @author    Carlos Fillol Sendra <festeweb@festeweb.com>
*    @copyright 2014 Fes-te web! - www.festeweb.com
*    @license   http://www.festeweb.com/static/licenses/fs2ps_1.1.0.txt
*/

include_once(dirname(__FILE__).'/Fs2psTools.php');
include_once(dirname(__FILE__).'/Fs2psUpdater.php');

class Fs2psObjectModel
{
	public static $id_field_by_table = array(
			'terms' => 'term_id',
			'posts' => 'ID',
			'woocommerce_attribute_taxonomies' => 'attribute_id',
	);
	
	public static function idForTable($table) {
		if (empty(self::$id_field_by_table[$table])) {
			throw new Fs2psException("No se indicó el identificador de la tabla: ".$table);
		}
		return self::$id_field_by_table[$table];
	}
	
	public static function existsInDatabase($id, $table) {
		return Fs2psTools::dbExists($table, self::idForTable($table), $id);
	}
	
}
